View Issue Details

IDProjectCategoryView StatusLast Update
0036898LazarusDebuggerpublic2020-06-02 09:34
ReporterJeff Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.6 
Fixed in Version2.2 
Summary0036898: Console In/Out Window adds extra linefeeds under Linux
DescriptionThe Console In/Out window adds extra lines if a Write is done with a long enough Sleep between them. This does not occur if the program is run in a normal terminal window only if run from Linux Lazarus IDE. Windows 10 does not have this problem due to no Console In/Out window.

Lazarus 2.0.6 rUnversioned directory FPC 3.0.4 x86_64-linux-gtk2

PRETTY_NAME="Debian GNU/Linux 9 (stretch)"

Example Console In/Out Window:
1
2
3
4
5
Example terminal window
12345
Steps To ReproduceRun the following program once from Lazarus and the next time from a terminal window.

program Project1;
uses
  sysutils;
var
  i: Integer;
begin
  for i := 1 to 5 do begin
    Write(i);
    Sleep(100);
  end;
end.
TagsNo tags attached.
Fixed in Revision63132
LazTarget2.2
WidgetsetGTK 2
Attached Files

Relationships

related to 0037167 closedMartin Friebe [Patch] DebugLn is not outputting new line characters 

Activities

Martin Friebe

2020-05-10 17:58

manager   ~0122701

Please test with revision 63132

Close if ok.

Issue History

Date Modified Username Field Change
2020-04-10 23:15 Jeff New Issue
2020-04-10 23:15 Jeff Status new => assigned
2020-04-10 23:15 Jeff Assigned To => Martin Friebe
2020-05-10 17:58 Martin Friebe Status assigned => resolved
2020-05-10 17:58 Martin Friebe Resolution open => fixed
2020-05-10 17:58 Martin Friebe Fixed in Version => 2.2
2020-05-10 17:58 Martin Friebe Fixed in Revision => 63132
2020-05-10 17:58 Martin Friebe LazTarget => 2.2
2020-05-10 17:58 Martin Friebe Widgetset GTK 2 => GTK 2
2020-05-10 17:58 Martin Friebe Note Added: 0122701
2020-06-02 09:34 Juha Manninen Relationship added related to 0037167